commit:     085e8b562f2b68491d58af49fc56d9244858b85e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 13 07:19:31 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Mar 13 07:36:54 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=085e8b56

dev-python/llvmlite: Bump to 0.28.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/llvmlite/Manifest               |  1 +
 dev-python/llvmlite/llvmlite-0.28.0.ebuild | 63 ++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/llvmlite/Manifest b/dev-python/llvmlite/Manifest
index 02107087bcd..4b9e08d3890 100644
--- a/dev-python/llvmlite/Manifest
+++ b/dev-python/llvmlite/Manifest
@@ -3,3 +3,4 @@ DIST llvmlite-0.22.0.gh.tar.gz 156077 BLAKE2B 
1b95a0636807fcf38955b32bd5c7c19784
 DIST llvmlite-0.26.0.gh.tar.gz 175536 BLAKE2B 
6736e94c13974bb79bcda08ef58dd6d1e67d07a0173b5f2ab1b2fcf9a6e72b2a0b8737da5598023fa0c6db85cfd84f2d429f6077e1342a15b500376addd03c69
 SHA512 
e6bf76b209f44624fe21551971d422bbee6a6dcdfbd2c42607904be32db1b94cfcb185e70198fced5deadd938208d66d94eed4cea31726ae7f4779d58b57eb48
 DIST llvmlite-0.27.0.gh.tar.gz 186891 BLAKE2B 
c7175beeb5c45b6fda62b78b23352d1c22111a37e7fdb89897409c6ab245dab23aa4f799fd5add1bf2199e8f6783d6094101aa29c4afefa2a3dbd48d735b418a
 SHA512 
6c3230f23fec53ddff077c885bc0da4a773049d0226817142e2b7ded9fe6a665dd5cf8c6468101b342ef8e3b394bf2078cf93fc513e46fe451cd75755111448b
 DIST llvmlite-0.27.1.gh.tar.gz 186904 BLAKE2B 
ee3af4b3ec03799ea6e643e0ee0a793537c46427d239fb3a26abf4a719b68432f403367321345c30a95758ce1bce411495bc48273dbf2452a872a1edd67dc9a4
 SHA512 
365ffd95050a39269d9f806d3969657437111b8e999db6cf03d0d99fc5bcc024dbc08f1d379745572317f8d4384d7f86095216674695c34f463a0b9bf48a8be7
+DIST llvmlite-0.28.0.gh.tar.gz 191141 BLAKE2B 
23c86c28311a4e8c7f9c209a7ed7816ad5002c26f9fda7a47cf2b54c4578db28ed0781b54a716726db8a7c1abce79a79a99c3f5bf4be2a61d547eb74d06cb507
 SHA512 
c00c767c80a507975a055088ca4328766c992e7267219dea54376daf5eb11397532b243352976d3569185149007650d5e94839b61aa55502e1991f72b1ba492a

diff --git a/dev-python/llvmlite/llvmlite-0.28.0.ebuild 
b/dev-python/llvmlite/llvmlite-0.28.0.ebuild
new file mode 100644
index 00000000000..a66288e9c0a
--- /dev/null
+++ b/dev-python/llvmlite/llvmlite-0.28.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6,3_7} )
+
+inherit distutils-r1 llvm
+
+DESCRIPTION="Python wrapper around the llvm C++ library"
+HOMEPAGE="http://llvmlite.pydata.org/";
+SRC_URI="https://github.com/numba/llvmlite/archive/v${PV/_/}.tar.gz -> 
${P/_/}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+LLVM_MAX_SLOT=7
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       sys-devel/llvm:${LLVM_MAX_SLOT}
+       sys-libs/zlib:0=
+       virtual/python-enum34[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+S=${WORKDIR}/${P/_/}
+
+PATCHES=(
+       "${FILESDIR}"/llvmlite-0.15.0-use-system-six.patch
+)
+
+python_configure_all() {
+       # upstream's build system is just horrible, and they ignored the PR
+       # fixing it, so let's build the shared lib properly using implicit
+       # make rules
+
+       export LDLIBS=$(llvm-config --libs all)
+       export CXXFLAGS="$(llvm-config --cxxflags) -fPIC ${CXXFLAGS}"
+       export LDFLAGS="$(llvm-config --ldflags) ${LDFLAGS}"
+
+       local files=( ffi/*.cpp )
+       emake -f - <<EOF
+ffi/libllvmlite.so: ${files[*]/.cpp/.o}
+       \$(CXX) -shared \$(CXXFLAGS) \$(LDFLAGS) -o \$@ \$^ \$(LDLIBS)
+EOF
+}
+
+python_test() {
+       "${EPYTHON}" runtests.py -v || die "Tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to